Description

For certain methods on a node, we want to restrict who/what can call the method. Examples include: MN.replicate() and CN.create()

The general sentiment seems to be that this can be expressed as part of the NodeList where all the Nodes and the Services they

provide are listed.

Subtasks:

Task # 1677: add ServiceMethodRestriction to data type schema Closed

Task # 1678: lookup restrictions from the CN nodeList when needed Closed

Related issues:

Blocked by Infrastructure - Story #1964: node registry needs to store Node.Se... Closed 2011-11-02

History

#1 - 2011-07-13 20:31 - Ben Leinfelder

- Assignee set to Ben Leinfelder

- Status changed from New to In Progress

- Milestone changed from CCI-0.6.2 to CCI-0.6.3

#2 - 2011-08-30 01:17 - Dave Vieglais

- Position set to 1

- Target version deleted (Sprint-2011.26-Block.4)

- Position deleted (6)

#3 - 2011-08-30 01:54 - Dave Vieglais

- Position set to 21

- Position deleted (34)

#4 - 2011-11-02 17:18 - Ben Leinfelder

- Category set to d1_cn_node_registry

- Milestone changed from CCI-0.6.3 to CCI-1.0.0

- Target version set to Sprint-2011.43-Block.6

updated the schema based on standup discussion.

ServiceMethodRestriction changes:

-remove "rest" attribute

-use "methodName" as the required attribute to identify the service method we are restricting

-make "allowed" SubjectList optional. If it is omitted, the method is completely closed to all callers (this is the same as having an empty SubjectList for

allowed but takes less XML).
#5 - 2011-11-07 15:03 - Dave Vieglais

- Target version changed from Sprint-2011.43-Block.6 to Sprint-2011.45-Block.6

- Position deleted (91)

- Position set to 1

#6 - 2011-11-16 15:20 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position deleted (30)

- Position set to 1

- Position changed from 1 to 317

#7 - 2011-11-28 18:42 - Dave Vieglais

- Position changed from 1 to 318

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

- Position deleted (310)

- Position set to 1

#8 - 2011-12-06 14:43 - Dave Vieglais

- Position set to 1

- Position deleted (318)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#9 - 2011-12-17 00:41 - Ben Leinfelder

- Status changed from In Progress to Closed

looks like this is all done!
